Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I want to install all python packages on my Fedora 20 system, and there are broken dependencies. How can I install all except the broken or with errors?

]$ sudo yum install *python*

.....

--> Finished Dependency Resolution
Error: Package: python-qpid_messaging-0.24-3.fc20.x86_64 (fedora)
           Requires: qpid-cpp-client(x86-64) = 0.24
           Available: qpid-cpp-client-0.24-6.fc20.x86_64 (fedora)
               qpid-cpp-client(x86-64) = 0.24-6.fc20
           Installing: qpid-cpp-client-0.26-3.fc20.x86_64 (updates)
               qpid-cpp-client(x86-64) = 0.26-3.fc20
Error: Package: gcc-python2-debug-plugin-0.12-15.fc20.x86_64 (fedora)
           Requires: gcc = 4.8.2-1.fc20
           Installed: gcc-4.8.2-7.fc20.x86_64 (@updates)
               gcc = 4.8.2-7.fc20
           Available: gcc-4.8.2-1.fc20.x86_64 (fedora)
               gcc = 4.8.2-1.fc20
Error: Package: gcc-python3-plugin-0.12-15.fc20.x86_64 (fedora)
           Requires: gcc = 4.8.2-1.fc20
           Installed: gcc-4.8.2-7.fc20.x86_64 (@updates)
               gcc = 4.8.2-7.fc20
           Available: gcc-4.8.2-1.fc20.x86_64 (fedora)
               gcc = 4.8.2-1.fc20
Error: Package: python-neutron-2013.2.3-2.fc20.noarch (updates)
           Requires: python-neutronclient >= 2.3.4
           Available: python-neutronclient-2.3.1-2.fc20.noarch (fedora)
               python-neutronclient = 2.3.1-2.fc20
           Installing: python-neutronclient-2.3.1-3.fc20.noarch (updates)
               python-neutronclient = 2.3.1-3.fc20
Error: Package: gcc-python3-debug-plugin-0.12-15.fc20.x86_64 (fedora)
           Requires: gcc = 4.8.2-1.fc20
           Installed: gcc-4.8.2-7.fc20.x86_64 (@updates)
               gcc = 4.8.2-7.fc20
           Available: gcc-4.8.2-1.fc20.x86_64 (fedora)
               gcc = 4.8.2-1.fc20
Error: Package: gcc-python2-plugin-0.12-15.fc20.x86_64 (fedora)
           Requires: gcc = 4.8.2-1.fc20
           Installed: gcc-4.8.2-7.fc20.x86_64 (@updates)
               gcc = 4.8.2-7.fc20
           Available: gcc-4.8.2-1.fc20.x86_64 (fedora)
               gcc = 4.8.2-1.fc20
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

I've tried:

]$ sudo yum install *python* --skip-broken

But it gives this:

Running transaction check
Running transaction test


Transaction check error:
  file /etc/bash_completion.d/django_bash_completion from install of python3-django15-1.5.6-1.fc20.noarch conflicts with file from package python-django-bash-completion-1.6.4-1.fc20.noarch
  file /etc/bash_completion.d/django_bash_completion from install of python-django15-1.5.6-1.fc20.noarch conflicts with file from package python-django-bash-completion-1.6.4-1.fc20.noarch
  file /usr/lib/python2.7/site-packages/tests/__init__.py conflicts between attempted installs of python-libturpial-1.7.0-1.fc20.noarch and python-django-federated-login-1.0.0-1.fc20.noarch
  file /usr/lib/python2.7/site-packages/tests/__init__.pyc conflicts between attempted installs of python-libturpial-1.7.0-1.fc20.noarch and python-django-federated-login-1.0.0-1.fc20.noarch
  file /usr/lib/python2.7/site-packages/tests/__init__.pyo conflicts between attempted installs of python-libturpial-1.7.0-1.fc20.noarch and python-django-federated-login-1.0.0-1.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/__pycache__/__init__.cpython-33.pyc conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/__pycache__/__init__.cpython-33.pyo conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/__pycache__/pqueue.cpython-33.pyc conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/__pycache__/pqueue.cpython-33.pyo conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/__pycache__/queue.cpython-33.pyc conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/__pycache__/queue.cpython-33.pyo conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/pqueue.py conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/queue.py conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/__pycache__/__init__.cpython-33.pyc conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/__pycache__/__init__.cpython-33.pyo conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/__pycache__/test_pqueue.cpython-33.pyc conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/__pycache__/test_pqueue.cpython-33.pyo conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/__pycache__/test_queue.cpython-33.pyc conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/__pycache__/test_queue.cpython-33.pyo conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/test_pqueue.py conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch
  file /usr/lib/python3.3/site-packages/queuelib/tests/test_queue.py conflicts between attempted installs of python3-queuelib-1.1.1-1.fc20.noarch and python3-python-queuelib-1.0-2.fc20.noarch

Error Summary
-------------
share|improve this question
    
Have you tried running yum remove *python* or yum clean *python* or yum clean all or any combination? –  jaredad7 May 27 at 3:15
    
@jaredad7 I can try that tomorrow. Don't have Wifi, where I am. –  somethingSomething May 28 at 0:26

2 Answers 2

Alas. nothing but rpm can see file conflicts, which is why Fedora policy is that if a package has them it should have an actual conflict too ... but that's one of many packaging things that don't get checked very well.

It looks like there are only a couple of problems though, so you can do:

yum install -- '*python*' -python3-queuelib -python-django-federated-login
share|improve this answer
    
]$ sudo yum install -- 'python' -python3-queuelib -python-django-federated-login -python-django-bash-completion* -gcc-python3-plugin -python-qpid_messaging -gcc-python2-plugin -gcc-python3-debug-plugin -gcc-python2-debug-plugin -python3-django15-1.5.8-1.fc20.noarc Total size: 1.0 G Is this ok [y/d/N]: y Downloading packages: Running transaction check Running transaction test Transaction check error: file /etc/bash_completion.d/django_bash_completion conflicts between attempted installs of python3-django15-1.5.8-1.fc20.noarch and python-django-bash-completion-1.6.5-1.fc20.noarch –  somethingSomething May 28 at 0:42
up vote 0 down vote accepted

This worked:

~]$ sudo yum install -- '*python*' -python3-queuelib -python-django-federated-login -gcc-python3-plugin -python-qpid_messaging -gcc-python2-plugin -gcc-python3-debug-plugin -python-django* -django* -gcc-python2-debug-plugin -python3-django15-1.5.8-1 python-django-bash-completion* -python-django15*
share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.